【活用ガイド】

JVNDB-2016-001616

OpenSSL の crypto/bio/b_print.c の fmtstr 関数におけるサービス運用妨害 (DoS) の脆弱性

概要

OpenSSL の crypto/bio/b_print.c の fmtstr 関数は、文字列の長さを適切に計算しないため、サービス運用妨害 (オーバーフローおよび out-of-bounds read) 状態にされるなど、不特定の影響を受ける脆弱性が存在します。

本脆弱性は、CVE-2016-2842 とは異なる脆弱性です。
CVSS による深刻度 (CVSS とは?)

基本値: 10.0 (危険) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 全面的
  • 完全性への影響(I): 全面的
  • 可用性への影響(A): 全面的

[参考] CVSS v3 による深刻度
基本値: 9.8 (緊急) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 高
  • 完全性への影響(I): 高
  • 可用性への影響(A): 高
影響を受けるシステム


OpenSSL Project
  • OpenSSL 1.0.1s 未満の 1.0.1
  • OpenSSL 1.0.2g 未満の 1.0.2
オラクル
  • MySQL 5.6.29 およびそれ以前
  • MySQL 5.7.11 およびそれ以前
ヒューレット・パッカード・エンタープライズ
  • HPE Insight Controlサーバー配備 すべてのバージョン
  • HPE Oneview for VMware vCenter 7.8.1 以前のリリース
  • HPE Systems Insight Manager (HP SIM) 7.5.1 より前のバージョン
  • System Management Homepage 7.5.5 より前のすべてのバージョン
  • HPE BladeSystem c-Class Virtual Connect (VC) ファームウェア 4.30 から VC 4.45
  • HPE Virtual Connect Flex-10 10Gb Enet Module
  • HPE Virtual Connect Flex-10/10D Module for c-Class BladeSystem
  • HPE Virtual Connect FlexFabric 10Gb/24-port Module for c-Class BladeSystem
  • HPE Virtual Connect FlexFabric-20/40 F8 Module for c-Class BladeSystem

想定される影響

第三者により、過度に長い文字列を介して、サービス運用妨害 (オーバーフローおよび out-of-bounds read) 状態にされるなど、不特定の影響を受ける可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

OpenSSL Project オラクル ターボリナックス パルスセキュア ヒューレット・パッカード・エンタープライズ
CWEによる脆弱性タイプ一覧  CWEとは?

  1. バッファエラー(CWE-119) [NVD評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2016-0799
参考情報

  1. National Vulnerability Database (NVD) : CVE-2016-0799
更新履歴

[2016年03月08日]
  掲載
[2016年03月17日]
  ベンダ情報:ターボリナックス (TLSA-2016-8) を追加
[2016年05月31日]
  CVSS による深刻度:内容を更新
  影響を受けるシステム:ベンダ情報の追加に伴い内容を更新
  ベンダ情報:オラクル (Oracle Critical Patch Update CVSS V2 Risk Matrices - April 2016) を追加
  ベンダ情報:オラクル (Oracle Critical Patch Update Advisory - April 2016) を追加
  ベンダ情報:オラクル (Text Form of Oracle Critical Patch Update - April 2016 Risk Matrices) を追加
  ベンダ情報:オラクル (April 2016 Critical Patch Update Released) を追加
  ベンダ情報:パルスセキュア (SA40168) を追加
[2016年06月27日]
  影響を受けるシステム:ベンダ情報の追加に伴い内容を更新
  ベンダ情報:ヒューレット・パッカード・エンタープライズ (HPSBMU03601) を追加
  ベンダ情報:ヒューレット・パッカード・エンタープライズ (HPSBMU03590) を追加
  ベンダ情報:ヒューレット・パッカード・エンタープライズ (HPSBMU03593) を追加
  ベンダ情報:ヒューレット・パッカード・エンタープライズ (HPSBGN03569) を追加
  ベンダ情報:ヒューレット・パッカード・エンタープライズ (HPSBMU03607) を追加